## pyrad 2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = env PYTHONPATH=.. sphinx-build
PAPER         = a4

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web .build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

=== debian/changelog ===
pyrad (2.0-3) unstable; urgency=low

  [ Jeremy Lainé ]
  * Build both python-pyrad an python3-pyrad packages (Closes: #782931).
  * Update URL in debian/watch file to use Debian PyPI redirector.
  * Update Standards-Version to 3.9.6 (no changes).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 26 May 2015 11:01:45 +0200

pyrad (2.0-2) unstable; urgency=high

  * Use a better random number generator to prevent predictable password
    hashing and packet IDs (CVE-2013-0294, Closes: #700669).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 16 Feb 2013 09:52:59 +0100

pyrad (2.0-1) unstable; urgency=low

  * New upstream release.
  * Convert packaging to use debhelper 9 and dh_python2.
  * Remove Conflicts/Replaces on antique pyrad package.
  * Update Standards-Version to 3.9.3 (no changes).
  * Update Homepage to http://pypi.python.org/pypi/pyrad.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 07 Sep 2012 12:55:28 +0200

pyrad (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #532843).
  * Change Build-Depends from python-all-dev to python.
  * Update Standards-Version to 3.8.4 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 19 Mar 2010 07:50:23 +0100

pyrad (1.1-5) unstable; urgency=low

  * Update Standards-Version to 3.8.1 (no changes).
  * Add ${misc:Depends} to dependencies.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 03 May 2009 12:34:05 +0200

pyrad (1.1-4) unstable; urgency=low

  [ Jeremy Lainé ]
  * Fix lintian spelling warning (Python vs python).
  * Update Standards-Version to 3.8.0.

  [ Jan Dittberner ]
  * add debian/watch

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 20 Nov 2008 16:39:22 +0100

pyrad (1.1-3) unstable; urgency=low

  * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.
  * Add Debian Python Modules Team to Uploaders.
  * Update Standards-Version to 3.7.3.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 14 Jan 2008 11:02:31 +0100

pyrad (1.1-2) unstable; urgency=low

  * Add Build-Depends on python-setuptools (Closes: #453229).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 27 Nov 2007 23:22:30 +0100

pyrad (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #448126).
  * Change maintainer to Jeremy Lainé.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 18 Nov 2007 11:41:37 +0100

pyrad (0.9-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #420765, #430681).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 30 Jun 2007 20:04:06 +0200

pyrad (0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Ana Beatriz Guerrero Lopez ]
  * Update package to the last python policy (Closes: #380915),
    this includes renaming from pyrad to python-pyrad.
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.

  [ Pierre Habouzit ]
  * Upload Ana's patch.

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  4 Sep 2006 13:35:04 +0200

pyrad (0.8-1) unstable; urgency=low

  * Initial packaging
  * Closes: #204819: RFP: pyrad -- native python RADIUS implementation

 -- Bjorn Ove Grotan <bgrotan@grotan.com>  Wed, 16 Feb 2005 08:08:00 +0100

=== debian/control ===
Source: pyrad
Section: python
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Bjorn Ove Grotan <bgrotan@grotan.com> 
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/pyrad
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyrad/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyrad/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pyrad
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python module for creating and decoding RADIUS packets (Python 2)
 It takes care of all the details like building RADIUS 
 packets, sending them and decoding responses.
 This package contains several modules:
  - client: RADIUS client code
  - dictionary: RADIUS attribute dictionary
  - server: Basic RADIUS server and proxy classes.
  - packet: a RADIUS packet as send to/from servers
  - tools: utility functions
 .
 This package contains the module for Python 2.

Package: python3-pyrad
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for creating and decoding RADIUS packets (Python 3)
 It takes care of all the details like building RADIUS 
 packets, sending them and decoding responses.
 This package contains several modules:
  - client: RADIUS client code
  - dictionary: RADIUS attribute dictionary
  - server: Basic RADIUS server and proxy classes.
  - packet: a RADIUS packet as send to/from servers
  - tools: utility functions
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DESTDIR_python2=debian/python-pyrad/
export PYBUILD_DESTDIR_python3=debian/python3-pyrad/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	:

=== debian/watch ===
version=3
http://pypi.debian.net/pyrad/pyrad-(.+)\.tar\.gz

## pyrad 2.1

=== requirements.txt ===
six
netaddr

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pyrad
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pyrad (2.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Aug 2019 10:16:44 +0200

pyrad (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #866530)
  * Drop d/patches/*, merged upstream.
  * d/watch: use https URI
  * d/control: drop XS-* attributes
  * d/control: bump std-ver to 4.2.1

 -- Aron Xu <aron@debian.org>  Mon, 22 Oct 2018 22:28:12 +0800

=== debian/control ===
Source: pyrad
Section: python
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Bjorn Ove Grotan <bgrotan@grotan.com>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.2.1
Homepage: https://pypi.python.org/pypi/pyrad
Vcs-Git: https://salsa.debian.org/python-team/modules/pyrad.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyrad

Package: python3-pyrad
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for creating and decoding RADIUS packets (Python 3)
 It takes care of all the details like building RADIUS
 packets, sending them and decoding responses.
 This package contains several modules:
  - client: RADIUS client code
  - dictionary: RADIUS attribute dictionary
  - server: Basic RADIUS server and proxy classes.
  - packet: a RADIUS packet as send to/from servers
  - tools: utility functions
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DESTDIR_python3=debian/python3-pyrad/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	:

## pyrad 2.4

=== debian/changelog ===
pyrad (2.4-1ubuntu1) plucky; urgency=medium

  * Updates to pass upstream tests to ensure correct working order as
    required by krb5 security updates.
    - debian/patches/0001-Add-parsing-for-octets.patch: Update the function
      EncodeOctets from pyrad/tools.py to parse strings and integers.
    - debian/patches/0002-Add-salt-decryption.patch: Add support for
      decryption of salted attributes in pyrad/packet.py.
    - debian/patches/0003-Strict-ipv4-ipv6-address-parsing.patch: Handle
      the encoding and decoding of IPv4 and IPv6 addresses separately.

 -- Nicolas Campuzano Jimenez <nicolas.campuzano@canonical.com>  Mon, 03 Feb 2025 19:19:07 -0500

pyrad (2.4-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.4
  * Fix CVE-2013-0342 (Closes: #701151)
  * Set DPT as Maintainer by Team Policy
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jul 2024 00:37:55 +0200

pyrad (2.1-3) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:40:05 -0400

=== debian/control ===
Source: pyrad
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
           Bjorn Ove Grotan <bgrotan@grotan.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://pypi.python.org/pypi/pyrad
Vcs-Git: https://salsa.debian.org/python-team/packages/pyrad.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyrad

Package: python3-pyrad
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for creating and decoding RADIUS packets
 It takes care of all the details like building RADIUS
 packets, sending them and decoding responses.
 This package contains several modules:
  - client: RADIUS client code
  - dictionary: RADIUS attribute dictionary
  - server: Basic RADIUS server and proxy classes.
  - packet: a RADIUS packet as send to/from servers
  - tools: utility functions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DESTDIR=debian/python3-pyrad/

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	:

=== debian/watch ===
version=3
https://pypi.debian.net/pyrad/pyrad-(.+)\.tar\.gz

## pyrad 2.5.2

=== debian/changelog ===
pyrad (2.5.2-2) unstable; urgency=medium

  * Team Upload
  * Rewrite debian/copyright in machine-parsable format
  * pybuild-plugin-pyproject: Do not ship random files in the .deb

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Feb 2026 15:16:48 +0100

pyrad (2.5.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.5.2
  * Finish removing usage of "six" with a patch
  * Switch to pybuild-plugin-pyproject
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Thu, 29 Jan 2026 08:00:38 +0100

=== debian/control ===
Source: pyrad
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jeremy Lainé <jeremy.laine@m4x.org>,
 Bjorn Ove Grotan <bgrotan@grotan.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: https://pypi.python.org/pypi/pyrad
Vcs-Git: https://salsa.debian.org/python-team/packages/pyrad.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyrad

Package: python3-pyrad
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python module for creating and decoding RADIUS packets
 It takes care of all the details like building RADIUS
 packets, sending them and decoding responses.
 This package contains several modules:
  - client: RADIUS client code
  - dictionary: RADIUS attribute dictionary
  - server: Basic RADIUS server and proxy classes.
  - packet: a RADIUS packet as send to/from servers
  - tools: utility functions
